/*
 *   ScenarLang a domain specific language that attempts to make it even easier
 *   to write unit tests with mockito
 *    
 *   Copyright (C) 2012  X. Gillard 
 *   
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *   
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *   
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package xgi.ut.dsl.dummy;

import java.util.Date;
/**
 * An other implementation of IBrol
 */
public class BrolB implements IBrol {
    
	private String  bstring;
	private int     binteger;
	private double  bfloatpt;
	private boolean bbool;
	private Date    bdate;
	private IBrol   bbrol;
	
	public BrolA    abrol;
	
	@Override
	public String getString() {
		return bstring;
	}

	@Override
	public int getInt() {
		return binteger;
	}

	@Override
	public double getDouble() {
		return bfloatpt;
	}

	@Override
	public boolean getBool() {
		return bbool;
	}

	@Override
	public Date getDate() {
		return bdate;
	}

	@Override
	public IBrol getBrol() {
		return bbrol;
	}
	
	@Override
	public String getParameterString(String param) {
		return null;
	}
	
	public static String concat(String a, String b){
		return a+b;
	}

}
